Bug 1956483

Summary: [4.7.z] Bootimage bump tracker
Product: OpenShift Container Platform Reporter: Benjamin Gilbert <bgilbert>
Component: RHCOSAssignee: Micah Abbott <miabbott>
Status: VERIFIED --- QA Contact: Michael Nguyen <mnguyen>
Severity: medium Docs Contact:
Priority: low    
Version: 4.7CC: dornelas, jligon, miabbott, mnguyen, mrussell, nstielau
Target Milestone: ---   
Target Release: 4.7.z   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: No Doc Update
Doc Text:
Story Points: ---
Clone Of: 1956480
: 1956485 (view as bug list) Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1956480    
Bug Blocks: 1956485, 1956489, 1956491, 1960748, 1964753    

Description Benjamin Gilbert 2021-05-03 18:49:39 UTC
Tracker bug for bootimage bump in 4.7.z.  This issue should block issues which need a bootimage bump to fix.

Comment 2 Micah Abbott 2021-06-11 17:41:07 UTC
Upstream PR has cherry-pick-approved; waiting for merge

Comment 5 Michael Nguyen 2021-06-15 14:24:17 UTC
$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.7.0-0.nightly-2021-06-12-151209   True        False         8m47s   Cluster version is 4.7.0-0.nightly-2021-06-12-151209
$ oc -n openshift-machine-api get machinesets
NAME                                          DESIRED   CURRENT   READY   AVAILABLE   AGE
ci-ln-inf1kpb-d5d6b-x8lx2-worker-us-east-2a   2         2         2       2           41m
ci-ln-inf1kpb-d5d6b-x8lx2-worker-us-east-2b   1         1         1       1           41m
$ oc -n openshift-machine-api get machinesets/ci-ln-inf1kpb-d5d6b-x8lx2-worker-us-east-2b -o yaml
apiVersion: machine.openshift.io/v1beta1
kind: MachineSet
metadata:
  annotations:
    machine.openshift.io/GPU: "0"
    machine.openshift.io/memoryMb: "16384"
    machine.openshift.io/vCPU: "4"
  creationTimestamp: "2021-06-15T13:39:40Z"
  generation: 1
  labels:
    machine.openshift.io/cluster-api-cluster: ci-ln-inf1kpb-d5d6b-x8lx2
  managedFields:
  - apiVersion: machine.openshift.io/v1beta1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:labels:
          .: {}
          f:machine.openshift.io/cluster-api-cluster: {}
      f:spec:
        .: {}
        f:replicas: {}
        f:selector:
          .: {}
          f:matchLabels:
            .: {}
            f:machine.openshift.io/cluster-api-cluster: {}
            f:machine.openshift.io/cluster-api-machineset: {}
        f:template:
          .: {}
          f:metadata:
            .: {}
            f:labels:
              .: {}
              f:machine.openshift.io/cluster-api-cluster: {}
              f:machine.openshift.io/cluster-api-machine-role: {}
              f:machine.openshift.io/cluster-api-machine-type: {}
              f:machine.openshift.io/cluster-api-machineset: {}
          f:spec:
            .: {}
            f:metadata: {}
            f:providerSpec:
              .: {}
              f:value:
                .: {}
                f:ami: {}
                f:apiVersion: {}
                f:blockDevices: {}
                f:credentialsSecret: {}
                f:deviceIndex: {}
                f:iamInstanceProfile: {}
                f:instanceType: {}
                f:kind: {}
                f:metadata: {}
                f:placement: {}
                f:securityGroups: {}
                f:subnet: {}
                f:tags: {}
                f:userDataSecret: {}
      f:status:
        .: {}
        f:fullyLabeledReplicas: {}
        f:observedGeneration: {}
        f:replicas: {}
    manager: cluster-bootstrap
    operation: Update
    time: "2021-06-15T13:39:40Z"
  - apiVersion: machine.openshift.io/v1beta1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:machine.openshift.io/GPU: {}
          f:machine.openshift.io/memoryMb: {}
          f:machine.openshift.io/vCPU: {}
    manager: machine-controller-manager
    operation: Update
    time: "2021-06-15T13:50:36Z"
  - apiVersion: machine.openshift.io/v1beta1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:availableReplicas: {}
        f:fullyLabeledReplicas: {}
        f:observedGeneration: {}
        f:readyReplicas: {}
        f:replicas: {}
    manager: machineset-controller
    operation: Update
    time: "2021-06-15T13:56:56Z"
  name: ci-ln-inf1kpb-d5d6b-x8lx2-worker-us-east-2b
  namespace: openshift-machine-api
  resourceVersion: "21066"
  selfLink: /apis/machine.openshift.io/v1beta1/namespaces/openshift-machine-api/machinesets/ci-ln-inf1kpb-d5d6b-x8lx2-worker-us-east-2b
  uid: 544cbc38-4beb-426b-8eca-7f1b255fe125
spec:
  replicas: 1
  selector:
    matchLabels:
      machine.openshift.io/cluster-api-cluster: ci-ln-inf1kpb-d5d6b-x8lx2
      machine.openshift.io/cluster-api-machineset: ci-ln-inf1kpb-d5d6b-x8lx2-worker-us-east-2b
  template:
    metadata:
      labels:
        machine.openshift.io/cluster-api-cluster: ci-ln-inf1kpb-d5d6b-x8lx2
        machine.openshift.io/cluster-api-machine-role: worker
        machine.openshift.io/cluster-api-machine-type: worker
        machine.openshift.io/cluster-api-machineset: ci-ln-inf1kpb-d5d6b-x8lx2-worker-us-east-2b
    spec:
      metadata: {}
      providerSpec:
        value:
          ami:
            id: ami-0ce061fbb35d84fc1
          apiVersion: awsproviderconfig.openshift.io/v1beta1
          blockDevices:
          - ebs:
              encrypted: true
              iops: 0
              kmsKey:
                arn: ""
              volumeSize: 120
              volumeType: gp2
          credentialsSecret:
            name: aws-cloud-credentials
          deviceIndex: 0
          iamInstanceProfile:
            id: ci-ln-inf1kpb-d5d6b-x8lx2-worker-profile
          instanceType: m4.xlarge
          kind: AWSMachineProviderConfig
          metadata:
            creationTimestamp: null
          placement:
            availabilityZone: us-east-2b
            region: us-east-2
          securityGroups:
          - filters:
            - name: tag:Name
              values:
              - ci-ln-inf1kpb-d5d6b-x8lx2-worker-sg
          subnet:
            filters:
            - name: tag:Name
              values:
              - ci-ln-inf1kpb-d5d6b-x8lx2-private-us-east-2b
          tags:
          - name: kubernetes.io/cluster/ci-ln-inf1kpb-d5d6b-x8lx2
            value: owned
          - name: expirationDate
            value: 2021-06-15T17:32+00:00
          userDataSecret:
            name: worker-user-data
status:
  availableReplicas: 1
  fullyLabeledReplicas: 1
  observedGeneration: 1
  readyReplicas: 1
  replicas: 1
$ oc -n openshift-machine-api get machinesets/ci-ln-inf1kpb-d5d6b-x8lx2-worker-us-east-2b -o yaml | grep id:
  uid: 544cbc38-4beb-426b-8eca-7f1b255fe125
            id: ami-0ce061fbb35d84fc1
            id: ci-ln-inf1kpb-d5d6b-x8lx2-worker-profile


compared to boot image bump data/data/rhcos.json in openshift installer

        },
        "us-east-1": {
        "us-east-1": {
            "hvm": "ami-03d1c2cba04df838c"
            "hvm": "ami-093573e55a618974b"
        },
        },
        "us-east-2": {
        "us-east-2": {
            "hvm": "ami-0ddab715d6b88a315"
            "hvm": "ami-0ce061fbb35d84fc1"
        },
        },
        "us-west-1": {
        "us-west-1": {
            "hvm": "ami-09b797de07577bf33"
            "hvm": "ami-078f97d297c64c66e"
        },

Comment 6 OpenShift Automated Release Tooling 2021-06-17 12:29:08 UTC
OpenShift engineering has decided to not ship Red Hat OpenShift Container Platform 4.7.17 due a regression https://bugzilla.redhat.com/show_bug.cgi?id=1973006. All the fixes which were part of 4.7.17 will be now part of 4.7.18 and planned to be available in candidate channel on June 23 2021 and in fast channel on June 28th.